import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
import http from './utils/http.js'
import share from './utils/share.js'
import * as $request from './apis/request.js'
Vue.prototype.$get = http.get
Vue.prototype.$post = http.post
Vue.prototype.$put = http.put
Vue.prototype.$delete = http.delete
Vue.prototype.$request = $request;
Vue.mixin(share)
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif

// main.js
import uView from "uview";
Vue.use(uView);